local hcTk = HCToolkit
local GetInspectSpecialization = GetInspectSpecialization

function hcTk.UnitClassColor(unit)
    local color = RAID_CLASS_COLORS[select(2, UnitClass(unit))];
    if (color == nil) then
      return "ffffffff"
    end
    return color.colorStr
end

function hcTk.UnitCreatePlayer(unit)
    local player = {};
    player["name"] = string.gsub(GetUnitName(unit, false), "%-[^|]+", "")
    player["class"] = UnitClass(unit)
    player["classColor"] = hcTk.UnitClassColor(unit)
    player["unit"] = unit;
    return player;
end

function hcTk.UnitUpdateRole(guid, specId)
    if (hcTk.Group[guid] ~= nil) then
        hcTk.Group[guid]["role"] = hcTk.SpecializationGetRole(specId)
    end
end

function hcTk.UnitPlayerString(player)
    if (player["name"] == "Unknown") then
        player["name"] = string.gsub(GetUnitName(player["unit"], false), "%-[^|]+", "")
        player["classColor"] = hcTk.UnitClassColor(player["unit"])
    end

    return string.format("|c%s%s|r", player["classColor"], player["name"]);
end